/* You can add global styles to this file, and also import other style files */
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@300;400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Satisfy&display=swap');

/* Body and build */
body {
    background: black;
}

.border {
    border: solid white 1px;
    border-radius: 1%;
    box-shadow: 0 0 100px #aa81d7;
    margin: auto;
    margin-top: 5rem;
    text-align: justified;
    width: 60%;
    height: auto;
    padding: 25px 50px 25px 50px;
}

/* General text settings */
h1 {
    font-family: 'Josefin Sans', sans-serif;
    color: white;
    font-size: 90px;
}
  
h2 {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 40px;
    color: white;
}
  
h3 {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 35px;
    color: white;
}
  
p {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 24px;
    color: white;
}

label {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 24px;
    color: white;
    display: block;
    margin: 5px 10px 5px 0;
}

/* Links */

a {
    font-family: 'Satisfy', cursive;
    text-decoration: none;
    color:white;
    text-shadow: 2px 3px 15px whitesmoke;
}

a:hover {
    text-decoration: underline wavy;
}

a:visited {
    color: white;
    text-decoration: wavy;
}


  
/* Button styles */

.button {
    font-family: 'Satisfy', cursive;
    border-radius: 50%;
    height: 90px;
    width: 120px;
    margin: 0 250px 0 250px;
    font-size: 24px;
    background: linear-gradient(
        35deg,
        #ff6766,
        #9582FD
      );
    color:white;
    text-shadow: 2px 3px 15px whitesmoke;
}



button:invalid {
    color: darkslategray;
}


button:valid:hover {
    text-decoration: underline wavy white;
    animation: fade-light 8s infinite;
}

@keyframes fade-light {
    10% {
        box-shadow: inherit, 0 0 30px white;
    }
    20% {
        box-shadow: 0 0 60px blueviolet;
    }
    60% {
        box-shadow: 0 0 80px hotpink;
    }
    80% {
        box-shadow: 0 0 60px blueviolet;
    }
    90% {
        box-shadow: inherit, 0 0 30px white;
    }
}

/* Table styles */

table {
    color: white;
    font-size: 18px;
    font-family: 'Josefin Sans', sans-serif;
}

th {
    border-right: 1px solid #ddd;
}

th, td {
    border-bottom: 1px solid #ddd;
    padding: 25px 50px 25px 50px;
}

table .name {
    font-weight: 400;
}




